Bug 180942 - gnome volume applet mute/zero volume behavior is not intuitive
gnome volume applet mute/zero volume behavior is not intuitive
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-10 12:18 EST by Bernard Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-21 13:43:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2006-02-10 12:18:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060202 Fedora/1.5.0.1-2 Firefox/1.5.0.1

Description of problem:
volume applet thinks that zero volume is the same as mute.  When the volume is changed to a level of zero, the mute indicator is shown on the applet and the mute checkbox is filled.  However, you can not use the mute checkbox to un-mute the system.  The only way to un-mute is to increase the volume level.  This is not intuitive.

Version-Release number of selected component (if applicable):
gnome-media-2.13.91-2

How reproducible:
Always

Steps to Reproduce:
1. Lower volume to zero
2. Notice that volume applet thinks it's muted
3. Attempt to un-mute via the mute checkbox.
  

Actual Results:  Frustration

Expected Results:  The applet should have never displayed that it was muted.  I had changed the volume to zero, which is not the same as mute.  In order to un-mute, the volume should be restored, but if I have it set to zero, what is the value to restore?  zero?  Then it will always show muted.

Additional info:

Note:  I looked through the other gnome-media audio/volume related bugs and there are similar bugs, but I don't think this one is a duplicate.
Comment 1 Bernard Johnson 2006-03-01 18:05:00 EST
Should this bug be upstreamed to bugzilla.gnome.org to fix?
Comment 2 Bernard Johnson 2006-03-01 18:06:51 EST
Sorry, got click happy.  Reopened.
Comment 3 Bernard Johnson 2006-03-04 22:56:06 EST
Filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=333438
Comment 4 Red Hat Bugzilla 2007-02-05 14:16:45 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 5 Bastien Nocera 2007-02-21 13:43:30 EST
Doesn't look like something we should be fixing/changing the behaviour only for
FC/RHEL. Feel free to follow the upstream bug at:
http://bugzilla.gnome.org/show_bug.cgi?id=164925

Note You need to log in before you can comment on or make changes to this bug.